function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1978
	
	-- Serpent Sting
	self:NewSpell({
		spellID = 1978,
		debuff = true,
		dot = 3,
		refreshable = true,
	})
	
	-- Black Arrow
	self:NewSpell({
		spellID = 3674,
		debuff = true,
		cooldown = true,
		dot = 3,
		requiredTree = 3,
		requiredLevel = 69,
	})
	
	-- Explosive Shot
	self:NewSpell({
		spellID = 53301,
		debuff = true,
		cooldown = true,
		dot = 1,
		requiredTree = 3,
	})
	
	-- Chimaera Shot
	self:NewSpell({
		spellID = 53209,
		cooldown = true,
		requiredTree = 2,
		requiredLevel = 69,
	})
	
	-- Kill Command - Unable to find Killing Streak spellID for now
	self:NewSpell({
		spellID = 34026,
		cooldown = true,
		requiredTree = 1,
	})
	
	-- Steady/Cobra/Aimed Shot + Master Marksman + Lock and Load
	self:NewSpell({
		spellID = 56641,
		cast = {56641,77767,19434},
		playerbuff = {82925,82926,56453} -- "Ready, Set, Aim..." + "Fire!", Lock and Load
	})
	
	-- Focus Fire
	self:NewSpell({
		spellID = 82692,
		playerbuff = true,
		cooldown = true,
		requiredTree = 1,
	})
	
	-- Frenzy - SpellID may be incorrect
	self:NewSpell({
		spellID = 19615,
		playerbuff = true,
		auraunit = 'pet',
		minstacks = 5,
		requiredTree = 1,
	})
	
	-- Bestial Wrath - Possibly incorrect buff ID
	self:NewSpell({
		spellID = 19574,
		playerbuff = 34471,
		cooldown = true,
		requiredTree = 1,
	})
	
end